680i shows up as 570/590 chip set under vista?

Discussion in 'General Hardware' started by Dark Atheist, Feb 7, 2008.

  1. Dark Atheist

    Dark Atheist Moderator Political User Folding Team

    Messages:
    6,376
    Location:
    In The Void
    so here i am seeting up my new pc after getting back from football last night at 2am, after having a little sleep, i download the drivers for the intel 680i chip set that is on my new mobo, and i was supprised to see on windows update that it wants to updat them with an nforce5 set of drivers for a different chipset.

    Is it safe to let windows update them or should i just go with what i have installed from the nvidia site ?

    edit: my board
    http://www.asus.com/products.aspx?l1=3&l2=11&l3=397&model=1459&modelmenu=1
     
    Last edited: Feb 7, 2008
  2. epk

    epk Moderator Political User Folding Team

    Messages:
    1,241
    Location:
    Buenos Aires
    i'd say stay with the nvidia ones.... dont see why WU ones should be any better anyway


    btw... ur chipset really appears as 5 series? weird :S
     
  3. Dark Atheist

    Dark Atheist Moderator Political User Folding Team

    Messages:
    6,376
    Location:
    In The Void
    yep - shows 550/570/590
     
  4. epk

    epk Moderator Political User Folding Team

    Messages:
    1,241
    Location:
    Buenos Aires
    oh... mm.. i looked around and apparently, that happens :p


    but well, keep the official ones just in case

    the other ones may be in fact for the 570/590...
     
  5. LordOfLA

    LordOfLA Godlike!

    Messages:
    7,027
    Location:
    Maidenhead, Berkshire, UK
    The southbridge is 590i :) the northbdridge is 680i
     
  6. Dark Atheist

    Dark Atheist Moderator Political User Folding Team

    Messages:
    6,376
    Location:
    In The Void
    well as that link shows, the board is 680i, and on nvidia site i seleted 680 drivers which gave me the 15.08 drivers, i'll stick with the nvidia ones, could be they copy and pasted into the inf files but didnt change the version numbers :p

    Quad pc is fast as feck :D
     
  7. Dark Atheist

    Dark Atheist Moderator Political User Folding Team

    Messages:
    6,376
    Location:
    In The Void
    looks like it was vista being a tit, i got 15.08 drivers installed them but it was still using the vista drivers for the chipset, i told it to look at the nvidia folder and it has updated the files :) just hope its the right 15.08 drivers, as nvidia site kept pointing me to 750i drivers even though i was selecting vista 32 680i, could someone check and see if they can get them?

    Ones i have are 41 meg (intl english) must have the right ones otherwise vista would have told me the driver isnt for the hardware, and even if you use the activex thing on nvidia site it sends me the us drivers and not the uk ones :(

    edit: seems the only drivers should be 15.00 not 15.08 grrr, so was nvidia sending me to wrong place :(
     
  8. LordOfLA

    LordOfLA Godlike!

    Messages:
    7,027
    Location:
    Maidenhead, Berkshire, UK
    I got nforce_winvista64_15.08_english.exe from the EVGA website..
     
  9. Dark Atheist

    Dark Atheist Moderator Political User Folding Team

    Messages:
    6,376
    Location:
    In The Void
    i have nforce_680i_sli_winvista32_15.00_international_whql.exe - from nvidias uk site, suppose i could use the mobo drivers from asus, even though nvidias us site and uk site send me to the page for 750i 15.08 drivers even though i select 680i - strange

    edit: its gettig worse - theres no drivers on asus site for my board :( - i might just install the 15.00 drivers and see if windows update has any newer ones :( got drivers for xp for everything, well they do have drivers but they are saying they are beta :(

    edit2: seems the comp that built the pc likes to hide the drivers disc, so i rang em up and gave em what for and in the end we found the disc, instead of it being in with the pc they hid it under the kb box - feckers, so i will see what the disc will give me, although im going to do a fresh install of vista (just hope it will activate!!!) as the device manager is looking a bit strange atm
     
    Last edited: Feb 8, 2008
  10. LordOfLA

    LordOfLA Godlike!

    Messages:
    7,027
    Location:
    Maidenhead, Berkshire, UK
    What board, what OS, What chipset :)

    Edit: Oh and BTW nvidias drivers are unified :) One driver fits all.
     
    Dark Atheist likes this.
  11. Dark Atheist

    Dark Atheist Moderator Political User Folding Team

    Messages:
    6,376
    Location:
    In The Void
    well its sorted now - had to ring up the comp that built the pc as i couldnt find the drivers disc that come with the mobo, seems they like to hid the bugger, re-installed vista (32bit) noticed that vista found the sata as 550/570/590 (seems its a fall back chipset) whacked the drivers disc in there told it to update looking at the cd drive - it did update to newer drivers (wahay w00t) even though its still saying the old chipset info :p and best bit is windows update now longer tells me it hs updates for my chipset :)

    you like me dont read forums - see first post for board - i did include a link - and read my other posts as im sure i meantioned vista many times, along with the 680i chipset :D - i will give you a cookie though as you tried to help and i bet you have had a hard day at work :)

    well if one site sends you to one version of the drivers and the uk sends you to another version - i will tend to fall back to the drivers that are on the disc, i wouldnt have minded but when you tell nvidia site you have 680i sli and it sends you to the 750i drivers page i tend to get a bit concerend
     
  12. Dark Atheist

    Dark Atheist Moderator Political User Folding Team

    Messages:
    6,376
    Location:
    In The Void
    ok to make sure i am not losing the plot can someone please go to the nvidia site - uk and us, and click nforce 6 - 680 sli windows vista - 32bit

    and see if it takes you to the 750i page - 15.08 drivers, and can anyone tell me if i would be safe using those drivers - uk site takes me to 15.00 , i can get to the xp pages fine
     
  13. American Zombie

    American Zombie Moderator Staff Member Political User

    Messages:
    2,931
    Location:
    Seattle
    Takes me here.

    Under Products supported it says:

    nForce 750i SLI
    nForce 680i SLI/680i LT SLI
    nForce 680a SLI
    nForce 650i SLI
    nForce 590 SLI Intel
     
  14. Dark Atheist

    Dark Atheist Moderator Political User Folding Team

    Messages:
    6,376
    Location:
    In The Void
    same here, im on about the uk drivers (UK English) - if you select UK from the list does it take you to a page with UK 15.08 for vista or the 750i page?

    I can get on every other page apart from the one im need
     
  15. LordOfLA

    LordOfLA Godlike!

    Messages:
    7,027
    Location:
    Maidenhead, Berkshire, UK
    just get 15.08 and install them :)
     
  16. Dark Atheist

    Dark Atheist Moderator Political User Folding Team

    Messages:
    6,376
    Location:
    In The Void
    i know where you work so if it all goes pete tong we'll have a little chat :p

    edit: it didnt update the drivers then even though it said it did - i had to go to device manager and manually update them, must have had updated drivers there and for the chipset as vista did up date them, so will see how i get on :)
     
    Last edited: Feb 9, 2008
  17. melon

    melon MS-DOS 2.0 Political User

    Messages:
    854
    Location:
    Ásgarðr
    Just for reference, my motherboard is also an nForce 680i chipset, but my specific board is the Asus Striker Extreme. Checking out my specs under CPU-Z, however, it appears to recognize everything correctly as being 680i chipsets. I downloaded my drivers from the Nvidia website, not using Asus' drivers. Hope that is, at least, mildly helpful info.
     
  18. Dark Atheist

    Dark Atheist Moderator Political User Folding Team

    Messages:
    6,376
    Location:
    In The Void
    asus has no drivers for my board - well they do but are beta - i d/l 15.08 and installed them - seems to be working ok